Hide navigation sidebar
Hide table of contents sidebar
Skip to content
Back to top
View this page
Toggle table of contents sidebar

# Reference

This is the technical reference for public APIs provided by Briefcase.

- Briefcase configuration options
  - Environment variables
- Project configuration options
  - Configuration sections
  - Project configuration
  - Application configuration
  - Permissions
  - Document types
  - PEP621 compatibility
- Command reference
  - new
  - convert
  - dev
  - create
  - update
  - build
  - run
  - package
  - publish
  - upgrade
  - Common options
- Platform support
  - macOS
  - Windows
  - Linux
  - iOS
  - Android
  - Web
- Plug-ins
  - `briefcase.bootstraps`
  - `briefcase.platforms` and `briefcase.formats.*`